Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about a Vultr plan.
Example Usage
Get the information for a plan by id:
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const myPlan = vultr.getPlan({
filters: [{
name: "id",
values: ["vc2-1c-2gb"],
}],
});
import pulumi
import pulumi_vultr as vultr
my_plan = vultr.get_plan(filters=[{
"name": "id",
"values": ["vc2-1c-2gb"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.GetPlan(ctx, &vultr.GetPlanArgs{
Filters: []vultr.GetPlanFilter{
{
Name: "id",
Values: []string{
"vc2-1c-2gb",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var myPlan = Vultr.GetPlan.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetPlanFilterInputArgs
{
Name = "id",
Values = new[]
{
"vc2-1c-2gb",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetPlanArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var myPlan = VultrFunctions.getPlan(GetPlanArgs.builder()
.filters(GetPlanFilterArgs.builder()
.name("id")
.values("vc2-1c-2gb")
.build())
.build());
}
}
variables:
myPlan:
fn::invoke:
function: vultr:getPlan
arguments:
filters:
- name: id
values:
- vc2-1c-2gb
Using getPlan
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getPlan(args: GetPlanArgs, opts?: InvokeOptions): Promise<GetPlanResult>
function getPlanOutput(args: GetPlanOutputArgs, opts?: InvokeOptions): Output<GetPlanResult>def get_plan(filters: Optional[Sequence[GetPlanFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetPlanResult
def get_plan_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetPlanFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetPlanResult]func GetPlan(ctx *Context, args *GetPlanArgs, opts ...InvokeOption) (*GetPlanResult, error)
func GetPlanOutput(ctx *Context, args *GetPlanOutputArgs, opts ...InvokeOption) GetPlanResultOutput> Note: This function is named GetPlan in the Go SDK.
public static class GetPlan
{
public static Task<GetPlanResult> InvokeAsync(GetPlanArgs args, InvokeOptions? opts = null)
public static Output<GetPlanResult> Invoke(GetPlanInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetPlanResult> getPlan(GetPlanArgs args, InvokeOptions options)
public static Output<GetPlanResult> getPlan(GetPlanArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getPlan:getPlan
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Plan Filter> - Query parameters for finding plans.
- Filters
[]Get
Plan Filter - Query parameters for finding plans.
- filters
List<Get
Plan Filter> - Query parameters for finding plans.
- filters
Get
Plan Filter[] - Query parameters for finding plans.
- filters
Sequence[Get
Plan Filter] - Query parameters for finding plans.
- filters List<Property Map>
- Query parameters for finding plans.
getPlan Result
The following output properties are available:
- Bandwidth int
- The bandwidth available on the plan in GB.
- Disk int
- The amount of disk space in GB available on the plan.
- Disk
Count int - The number of disks that this plan offers.
- Gpu
Type string - For GPU plans, the GPU card type.
- Gpu
Vram int - For GPU plans, the VRAM available in the plan.
- Id string
- The provider-assigned unique ID for this managed resource.
- Locations List<string>
- Monthly
Cost double - The price per month of the plan in USD.
- Ram int
- The amount of memory available on the plan in MB.
- Type string
- The type of plan it is.
- Vcpu
Count int - The number of virtual CPUs available on the plan.
- Filters
List<ediri.
Vultr. Outputs. Get Plan Filter>
- Bandwidth int
- The bandwidth available on the plan in GB.
- Disk int
- The amount of disk space in GB available on the plan.
- Disk
Count int - The number of disks that this plan offers.
- Gpu
Type string - For GPU plans, the GPU card type.
- Gpu
Vram int - For GPU plans, the VRAM available in the plan.
- Id string
- The provider-assigned unique ID for this managed resource.
- Locations []string
- Monthly
Cost float64 - The price per month of the plan in USD.
- Ram int
- The amount of memory available on the plan in MB.
- Type string
- The type of plan it is.
- Vcpu
Count int - The number of virtual CPUs available on the plan.
- Filters
[]Get
Plan Filter
- bandwidth Integer
- The bandwidth available on the plan in GB.
- disk Integer
- The amount of disk space in GB available on the plan.
- disk
Count Integer - The number of disks that this plan offers.
- gpu
Type String - For GPU plans, the GPU card type.
- gpu
Vram Integer - For GPU plans, the VRAM available in the plan.
- id String
- The provider-assigned unique ID for this managed resource.
- locations List<String>
- monthly
Cost Double - The price per month of the plan in USD.
- ram Integer
- The amount of memory available on the plan in MB.
- type String
- The type of plan it is.
- vcpu
Count Integer - The number of virtual CPUs available on the plan.
- filters
List<Get
Plan Filter>
- bandwidth number
- The bandwidth available on the plan in GB.
- disk number
- The amount of disk space in GB available on the plan.
- disk
Count number - The number of disks that this plan offers.
- gpu
Type string - For GPU plans, the GPU card type.
- gpu
Vram number - For GPU plans, the VRAM available in the plan.
- id string
- The provider-assigned unique ID for this managed resource.
- locations string[]
- monthly
Cost number - The price per month of the plan in USD.
- ram number
- The amount of memory available on the plan in MB.
- type string
- The type of plan it is.
- vcpu
Count number - The number of virtual CPUs available on the plan.
- filters
Get
Plan Filter[]
- bandwidth int
- The bandwidth available on the plan in GB.
- disk int
- The amount of disk space in GB available on the plan.
- disk_
count int - The number of disks that this plan offers.
- gpu_
type str - For GPU plans, the GPU card type.
- gpu_
vram int - For GPU plans, the VRAM available in the plan.
- id str
- The provider-assigned unique ID for this managed resource.
- locations Sequence[str]
- monthly_
cost float - The price per month of the plan in USD.
- ram int
- The amount of memory available on the plan in MB.
- type str
- The type of plan it is.
- vcpu_
count int - The number of virtual CPUs available on the plan.
- filters
Sequence[Get
Plan Filter]
- bandwidth Number
- The bandwidth available on the plan in GB.
- disk Number
- The amount of disk space in GB available on the plan.
- disk
Count Number - The number of disks that this plan offers.
- gpu
Type String - For GPU plans, the GPU card type.
- gpu
Vram Number - For GPU plans, the VRAM available in the plan.
- id String
- The provider-assigned unique ID for this managed resource.
- locations List<String>
- monthly
Cost Number - The price per month of the plan in USD.
- ram Number
- The amount of memory available on the plan in MB.
- type String
- The type of plan it is.
- vcpu
Count Number - The number of virtual CPUs available on the plan.
- filters List<Property Map>
Supporting Types
GetPlanFilter
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
